//*******************************************************************
//*                                                                 *
//*           Your dog for windows, version 1.1                     *
//*           ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                     *
//*                                                                 *
//*	This source is public domain in the hope that someone find      *
//* it usefull. Most of the comments are in czech, sorry but no time*
//* to translate. There are still few bugs, maybe sometimes...      *
//*                                                                 *
//* (c)1998-1999, Josef Planeta, Czech Republic                     *
//*               (planeta@iach.cz)                                 *
//*                                                                 *
//* Thank to:                                                       *
//* DanielMiguerero for his idea, how to play sound, RcPlaySound()  *
//* Jacob Navia for his LCC-Win32 which I found in many ways better *
//*             than Microsoft Visual C++                           *
//*                                                                 *
//* ... and my dog Ben which made all sounds :-)                    *
//*                                                                 *
//* Note: waw files are included to resources as RCDATA             *
//* (older version of lcc had problem to include wav to resources)  *
//* wav is dumped to txt using bin2txt utitily,which I wrote earlier*
//*                                                                 *
//*******************************************************************

#include <windows.h>
#include <stdlib.h>
#include <mmsystem.h>

const int 		border=10;						//rozsireni hranice obrazku, max. posun

//globalni promenne
HINSTANCE 	hInst;
HWND		hwnd;					//okna
HDC			hdc;					//hdc okna
HDC			screen;					//obrazovky

int			casovac=150;			//interval casovace

int			mazel_x=10, mazel_y=10;	//pozice psa
int			maxx, maxy;				//maximalni hodnota x,y(=rozliseni)
int			zal_x, zal_y;			//zaloha mazxy

int			(*p_f)(HDC, int, int);	//pointer na fci
int			pracuj=0;				//1=negeneruj, ale volej fci, 0=generuj
static int 	pomx,pomy;				//pomocna, GLOBALNI, modifikuje se za vyletu!
POINT		point;					//pomocna, na prepocitavani screen<=>client
int			sounds=1;				//1=ON
int			trips=1;				//1=ON


LRESULT CALLBACK WndProc (HWND, UINT, WPARAM, LPARAM) ;

void inic(void);
void zobraz(HWND hwnd,HDC hdc, UINT x,UINT y,int faze);
int spanek(HDC hdc, int x, int y);
int beh(HDC hdc, int x, int y);
int vrtenil(HDC hdc, int x,int y);
int vrtenip(HDC hdc, int x,int y);
int sedl(HDC hdc, int x,int y);
int sedp(HDC hdc, int x,int y);
int vylet(HDC hdc, int x,int y);

BOOL RcPlaySound (HINSTANCE hInst, LPCTSTR lpszSndName);
void smaz(HDC hdc);





int WINAPI WinMain (HINSTANCE hInstance, HINSTANCE hPrevInstance,
                    char * szCmdLine, int iCmdShow)
{
    static char szAppName[] = "bitmap" ;
    HWND        hwnd ;
    MSG         msg ;
    WNDCLASS	wndclass ;

if(!hPrevInstance)
    {
    wndclass.style         = CS_HREDRAW | CS_VREDRAW ;
    wndclass.lpfnWndProc   = WndProc ;
    wndclass.cbClsExtra    = 0 ;
    wndclass.cbWndExtra    = 0 ;
    wndclass.hInstance     = hInstance ;
    wndclass.hIcon         = LoadIcon (hInstance, MAKEINTRESOURCE(100)) ;	//100=icona
    wndclass.hCursor       = LoadCursor (NULL, IDC_ARROW) ;
    wndclass.hbrBackground = (HBRUSH) GetStockObject (WHITE_BRUSH) ;
    wndclass.lpszMenuName  = NULL;
    wndclass.lpszClassName = szAppName ;
    RegisterClass (&wndclass) ;
    }
    hwnd = CreateWindow (szAppName,          					// window class name
                    "Dog for Windows",							// window caption
                    WS_BORDER | WS_CAPTION | WS_SYSMENU,		// window style
                    200,							           	// initial x position
                    150,										// initial y position
                    200,									    // initial x size
                    100,										// initial y size
                    NULL,                    					// parent window handle
                    NULL,                    					// window menu handle
                    hInstance,               					// program instance handle
                NULL) ;		             						// creation parameters

    ShowWindow (hwnd, iCmdShow) ;
    UpdateWindow (hwnd) ;

    hInst=hInstance;


    while (GetMessage (&msg, NULL, 0, 0))
        {
        TranslateMessage (&msg) ;
        DispatchMessage (&msg) ;
        }
    return msg.wParam ;
}


//***********************************************************************

LRESULT CALLBACK WndProc (HWND hwnd, UINT iMsg, WPARAM wParam, LPARAM lParam)
{

int			f;
RECT		rect;
HMENU		hmenu;

hmenu = GetSystemMenu(hwnd, FALSE);

    switch (iMsg)
        {
        case WM_CREATE:

            // Seed the random number generator
            srand(GetTickCount());

            //upravy v menu:
            DeleteMenu(hmenu, 0, MF_BYPOSITION);
            DeleteMenu(hmenu, 1, MF_BYPOSITION);
            DeleteMenu(hmenu, 1, MF_BYPOSITION);
            DeleteMenu(hmenu, 1, MF_BYPOSITION);

            AppendMenu(hmenu,MF_SEPARATOR,10,NULL);
            AppendMenu(hmenu,MF_STRING,11,"&Fast   [ 50 ms]");
            AppendMenu(hmenu,MF_STRING,12,"&Medium [100 ms]");
            AppendMenu(hmenu,MF_STRING | MF_CHECKED	,13,"S&low   [150 ms]");

            AppendMenu(hmenu,MF_STRING | MF_CHECKED	,14,"&Sounds");
            AppendMenu(hmenu,MF_STRING | MF_CHECKED	,15,"&Trips");
            AppendMenu(hmenu,MF_SEPARATOR,16,NULL);
            AppendMenu(hmenu,MF_STRING,17,"&About...");


            hdc=GetDC(hwnd);
            inic();				//dostaneme hdc na "display"
            smaz(hdc);			//client na bilo!
            p_f=spanek;			//iniciace pointeru, na neco se musi ukazovat!!!

            SetTimer(hwnd, 1, casovac, NULL);

            return 0 ;


        case WM_SYSCOMMAND:

            switch (wParam)
                {
                case 11:		//fast
                case 12:		//medium
                case 13:		//slow

                    KillTimer(hwnd,1);
                    if (wParam == 11)
                        casovac=50;
                    if (wParam == 12)
                        casovac=100;
                    if (wParam == 13)
                        casovac=150;

                    SetTimer(hwnd, 1, casovac, NULL);
                    for(f=11;f<=13;f++)
                        CheckMenuItem(hmenu, f, MF_BYCOMMAND | MF_UNCHECKED);
                    CheckMenuItem(hmenu, wParam, MF_BYCOMMAND | MF_CHECKED);
                    DrawMenuBar(hwnd);

                    break;

                case 14:
                    if (sounds==1)
                        {
                        sounds=0;
                        CheckMenuItem(hmenu, 14, MF_BYCOMMAND | MF_UNCHECKED);
                        }
                    else
                        {
                        sounds=1;
                        CheckMenuItem(hmenu, 14, MF_BYCOMMAND | MF_CHECKED);
                        }
                    break;

                case 15:

                    if (trips==1)
                        {
                        trips=0;
                        CheckMenuItem(hmenu, 15, MF_BYCOMMAND | MF_UNCHECKED);
                        }
                    else
                        {
                        trips=1;
                        CheckMenuItem(hmenu, 15, MF_BYCOMMAND | MF_CHECKED);
                        }

                    break;


                case 17:
                    smaz(hdc);
                    MessageBox(hwnd, "        *** Your DOG for Windows  v1.1 ***\n\n FREEWARE!   Author: planeta@iach.cz", "About DOG", MB_OK);
                    return 0;

                default:
                    return(DefWindowProc(hwnd, iMsg, wParam, lParam));
                }

                smaz(hdc);



        case WM_LBUTTONDOWN:

            return 0;


        case WM_ACTIVATE:
            SetWindowPos(hwnd,HWND_TOPMOST,200,150,200,100,SWP_NOMOVE);
            return 0;


        case WM_RBUTTONDOWN:

            return 0;

        case WM_TIMER:

            if (pracuj==0)
                {
                f=rand() % 100;
                if (f >= 0 && f <= 15 )
                    {
                    p_f=spanek;			//pointer na fci spanek
                    RcPlaySound (hInst, MAKEINTRESOURCE(201));		//zzz
                    }

                if (f >= 15 && f <= 20 )
                    p_f=vrtenil;			//pointer na fci vrtenil

                if (f >= 20 && f <= 25 )
                    p_f=vrtenip;			//pointer na fci vrtenip


                if (f >= 25 && f <= 35 )
                    p_f=sedl;			//pointer na fci sedl


                if (f >= 35 && f <= 50 )
                    p_f=sedp;			//pointer na fci sedp


                if (f >= 50 && f <= 95 )
                    {
                    p_f=beh;
                    GetClientRect(hwnd,&rect);
                    pomx=rect.right-rect.left-border;
                    pomy=rect.bottom-rect.top-45;
                    pomx=rand() % pomx;
                    pomy=10+rand() % pomy;
                    if ((rand() % 10) <= 6)
                        RcPlaySound (hInst, MAKEINTRESOURCE(200));		//zasteka v 60% pripadu
                    }

                if (f >= 95 && f <= 100 && trips == 1)
                    {
                    p_f=vylet;
                    pomx=20+(rand() % (maxx-50));
                    pomy=20+(rand() % (maxy-50));
                    //mazel zmizi
                    zobraz(hwnd,hdc,mazel_x,mazel_y,1000);
                    //prepocteme pozici  na souradnice screenu:
                    point.x=(long)mazel_x;
                    point.y=(long)mazel_y;
                    zal_x=mazel_x;										//zaloha
                    zal_y=mazel_y;
                    ClientToScreen(hwnd, &point);
                    mazel_x=(int)point.x;
                    mazel_y=(int)point.y;
                    }

                if (f >= 95 && f <= 100 && trips == 0)				//nahradni program, pokud jsou vylety zakazany=spani
                    {
                    p_f=spanek;										//pointer na fci spanek
                    }

                }


            pracuj=p_f(hdc,pomx,pomy);					//volame fci


            return 0;


        case WM_DESTROY :
            PostQuitMessage (0) ;
            return 0 ;
        }

    return DefWindowProc (hwnd, iMsg, wParam, lParam) ;
    }

///////////////////////////////////////////////////

void inic(void)
//iniciuje DC na screen

{
    screen=CreateDC("DISPLAY", NULL, NULL, NULL);

    maxx=GetDeviceCaps(screen, HORZRES);
    maxy=GetDeviceCaps(screen, VERTRES);

}

//-------------------------------------------------------//

void smaz(HDC hdc)
//smaze okno
{
PAINTSTRUCT	ps ;
RECT		rect ;
HPEN 		hpen;

BeginPaint (hwnd, &ps) ;

GetClientRect (hwnd, &rect);
hpen=CreatePen(PS_SOLID, 500, RGB(255,255,255));
SelectObject(hdc, hpen);

Rectangle(hdc, 0,0,100,100);

EndPaint (hwnd, &ps);
DeleteObject(hpen);


}


//------------------------------------------------------//

BOOL RcPlaySound (HINSTANCE hInst, LPCTSTR lpszSndName)
{
 HRSRC hr;
 HGLOBAL hg;
 LPVOID lpSndData;

if (sounds == 0)			//pokud je zakazano, ven!
    return TRUE;

 hr = FindResource (hInst, lpszSndName, RT_RCDATA);
 if (hr != NULL)
 {
  hg = LoadResource (hInst, hr);
  if (hg != NULL)
  {
   lpSndData = LockResource (hg);
   if (lpSndData != NULL)
   {
    return PlaySound((LPCTSTR)lpSndData, NULL, SND_MEMORY | SND_ASYNC);
    /* We do not need to unlock or unload the resource, */
    /* Windows will take care of this */
   }
  }
 }
 return FALSE;
}


//--------------------------------------------------//

void zobraz(HWND hwnd,HDC hdc, UINT x,UINT y,int faze)
{
//hdc je bud hdc okna nebo screen

HDC         	hdcmask,hdcbitmap, hdctemp;
static HDC		hdcback;
HBITMAP			hbitmap,hmask,htemp;
static HBITMAP	hback;
static	int		firstdone=0;			//prvni kresleni probehlo
static	int 	old_x, old_y;			//stare souradnice mazla
int				pom1x,pom1y,pom2x,pom2y;//pomocne-mezivypocty


if(firstdone == 0)
    {
    hdcback = CreateCompatibleDC(hdc);
    hback=CreateCompatibleBitmap(hdc, 35+2*border, 35+2*border);
    SelectObject(hdcback, hback);
    BitBlt(hdcback,0,0, 35+2*border, 35+2*border, hdc, (x-border), (y-border), SRCCOPY);		//screen do back
    //pro prvni snimek je old_x=x...
    old_x=x;
    old_y=y;
    firstdone=1;
    }

    hdcmask = CreateCompatibleDC(hdc);
    hdcbitmap = CreateCompatibleDC(hdc);
    hdctemp = CreateCompatibleDC(hdc);

    hmask=LoadBitmap(hInst,MAKEINTRESOURCE(1000+faze));
    hbitmap=LoadBitmap(hInst,MAKEINTRESOURCE(faze));
    htemp=CreateCompatibleBitmap(hdc,35+2*border,35+2*border);

    SelectObject(hdcmask, hmask);
    SelectObject(hdcbitmap, hbitmap);
    SelectObject(hdctemp, htemp);

    //do tempu dame pozadi:
    //nejdrive nove pozadi, ktere je ale zcasti prekryto starou pozici
    BitBlt(hdctemp,0,0, 35+2*border, 35+2*border, hdc, (x-border), (y-border), SRCCOPY);		//screen do back
    //ted cast prekryjeme starym pozadim, spocteme pozice prekryvu
    pom1x =(x > old_x) ? 0 : (old_x-x);		//destination
    pom1y =(y < old_y) ? (old_y-y) : 0;
    pom2x =(x > old_x) ? (x-old_x) : 0;		//source
    pom2y =(y < old_y) ? 0 : (y-old_y);
    //!!!pozor
    BitBlt(hdctemp,pom1x,pom1y,35+border,35+border,hdcback,pom2x,pom2y,SRCCOPY);	//ZALOHOVANY back do tempu

    //zazalohujeme do back:
    BitBlt(hdcback,0,0, 35+2*border, 35+2*border, hdctemp, 0, 0, SRCCOPY);		//screen do back

    BitBlt(hdctemp,border,border,35,35,hdcmask,0,0,SRCERASE);			//vyrizni masku v tempu NOT AND
    BitBlt(hdctemp,border,border,35,35,hdcbitmap,0,0,SRCINVERT);		//bitmap do tempu NOT OR

    BitBlt(hdc,x-border,y-border,35+2*border,35+2*border,hdctemp,0,0,SRCCOPY);			//vyplivni to do screenu

    old_x=x;
    old_y=y;

    DeleteDC(hdcmask);
    DeleteDC(hdcbitmap);
    DeleteDC(hdctemp);

    DeleteObject(hmask);
    DeleteObject(hbitmap);
    DeleteObject(htemp);

}

//-------------------------------------------------//

int spanek(HDC hdc, int x,int y)
//x a y jen pro kompatibilitu, je to volano pomoci pointeru na fci!
//return:0 kdyz vse skonceno, 1=volat jeste
{
static int faze=0;

switch (faze)
    {
    case 0:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1025);
    faze+=1;
    return 1;

    case 1:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1026);
    faze+=1;
    return 1;

    case 2:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1027);
    faze+=1;
    return 1;

    case 3:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1028);
    faze+=1;
    return 1;

    case 4:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1029);
    faze=0;
    }
    return 0;
}


//-------------------------------------------------//

int beh(HDC hdc, int x, int y)
//x,y=kam bezet
//return:0 kdyz vse skonceno, 1=volat jeste
{
int	g;
static float difx, dify;
static int faze=0;

if (faze==0)
    {
    difx=x-mazel_x;
    dify=y-mazel_y;
    //pokud je maly rozdil, nic nedelej
    if (abs(difx)<15 && abs(dify)<15)
        return 0;

    //najdeme vetsi, abs
    g=( abs(difx) > abs(dify) ) ? abs(difx) : abs(dify);
    g=g / 5;
    difx=difx/g;
    dify=dify/g;
    }

    mazel_x=mazel_x+(int)difx;
    mazel_y=mazel_y+(int)dify;

if (mazel_x < x)				//doprava
    {
    switch (faze)
        {
    case 0:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1004);
    faze+=1;
    return 1;

    case 1:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1005);
    faze+=1;
    return 1;

    case 2:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1006);
    faze+=1;
    return 1;

    case 3:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1007);
    faze=0;
    }
    return 0;
        }							// end doprava

else							//doleva
    {
    switch (faze)
        {
    case 0:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1008);
    faze+=1;
    return 1;

    case 1:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1009);
    faze+=1;
    return 1;

    case 2:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1010);
    faze+=1;
    return 1;

    case 3:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1011);
    faze=0;
        }
    return 0;
    }
}


//-------------------------------------------------//

int vrtenip(HDC hdc, int x,int y)				//Pravo
//x a y jen pro kompatibilitu, je to volano pomoci pointeru na fci!
//return:0 kdyz vse skonceno, 1=volat jeste
{
static int faze=0;

switch (faze)
    {
    case 0:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1001);
    faze+=1;
    return 1;

    case 1:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1002);
    faze+=1;
    return 1;

    case 2:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1001);
    faze+=1;
    return 1;

    case 3:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1002);
    faze=0;
    }
    return 0;
}


//-------------------------------------------------//

int vrtenil(HDC hdc, int x,int y)				//Vlevo
//x a y jen pro kompatibilitu, je to volano pomoci pointeru na fci!
//return:0 kdyz vse skonceno, 1=volat jeste
{
static int faze=0;

switch (faze)
    {
    case 0:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1012);
    faze+=1;
    return 1;

    case 1:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1013);
    faze+=1;
    return 1;

    case 2:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1012);
    faze+=1;
    return 1;

    case 3:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1013);
    faze=0;
    }
    return 0;
}


//-------------------------------------------------//

int sedl(HDC hdc, int x,int y)				//Vlevo
//x a y jen pro kompatibilitu, je to volano pomoci pointeru na fci!
//return:0 kdyz vse skonceno, 1=volat jeste
{
static int faze=0;

switch (faze)
    {
    case 0:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1012);
    faze+=1;
    return 1;

    case 1:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1014);
    faze+=1;
    return 1;

    case 2:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1015);
    faze+=1;
    return 1;

    case 3:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1016);
    faze+=1;
    return 1;

    case 4:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1015);
    faze+=1;
    return 1;

    case 5:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1016);
    faze+=1;
    return 1;

    case 6:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1017);
    faze+=1;
    return 1;


    case 7:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1018);
    faze+=1;
    return 1;

    case 8:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1017);
    faze=0;
    }
    return 0;
}


//-------------------------------------------------//



int sedp(HDC hdc, int x,int y)				//vpravo
//x a y jen pro kompatibilitu, je to volano pomoci pointeru na fci!
//return:0 kdyz vse skonceno, 1=volat jeste
{
static int faze=0;

switch (faze)
    {
    case 0:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1001);
    faze+=1;
    return 1;

    case 1:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1019);
    faze+=1;
    return 1;

    case 2:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1020);
    faze+=1;
    return 1;

    case 3:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1021);
    faze+=1;
    return 1;

    case 4:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1020);
    faze+=1;
    return 1;

    case 5:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1021);
    faze+=1;
    return 1;

    case 6:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1022);
    faze+=1;
    return 1;


    case 7:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1023);
    faze+=1;
    return 1;

    case 8:
    zobraz(hwnd,hdc,mazel_x,mazel_y,1022);
    faze=0;
    }
    return 0;
}

//-------------------------------------------------//


int vylet(HDC hdcv, int x,int y)

//x,y=kam bezet
//return:0 kdyz vse skonceno, 1=volat jeste
{
int	g;
static float difx, dify;
static int faze=0;
static int	zpatky=0;

if (faze==0)
    {
    difx=x-mazel_x;
    dify=y-mazel_y;
    //pokud je maly rozdil, dosahl cile VYLETU!!!
    if (abs(difx)<15 && abs(dify)<15 && zpatky == 0 )
        {
        //OK, jsme na konci, udelame zvuk!
        //jeste predtim smazeme okno
        smaz(hdc);

        RcPlaySound (hInst, MAKEINTRESOURCE(202));		//vrceni
        Sleep(500);

        RcPlaySound (hInst, MAKEINTRESOURCE(203));		//CRASH
        Sleep(100);

        pomx=(int)point.x;								//modif. globalni!!
        pomy=(int)point.y;




        zpatky=1;		//jdeme zpet!
        return 1;
        }

    //pokud je maly rozdil, a zpatky=1=>je doma!!
    if (abs(difx)<15 && abs(dify)<15 && zpatky == 1 )
        {
        //mazel zmizi
        zobraz(hwnd,screen,mazel_x,mazel_y,1000);
        mazel_x=zal_x;
        mazel_y=zal_y;
        //hned tam vraz nejakyho mazla, at to neblikne!
        if (difx >= 0)
            zobraz(hwnd,hdcv,mazel_x,mazel_y,1012);
        else
            zobraz(hwnd,hdcv,mazel_x,mazel_y,1001);


        zpatky=0;		//doma!!
        return 0;
        }



    //najdeme vetsi, abs
    g=( abs(difx) > abs(dify) ) ? abs(difx) : abs(dify);
    g=g / 5;
    difx=difx/g;
    dify=dify/g;
    }

    mazel_x=mazel_x+(int)difx;
    mazel_y=mazel_y+(int)dify;

if (mazel_x < x)				//doprava
    {
    switch (faze)
        {
    case 0:
    zobraz(hwnd,screen,mazel_x,mazel_y,1004);
    faze+=1;
    return 1;

    case 1:
    zobraz(hwnd,screen,mazel_x,mazel_y,1005);
    faze+=1;
    return 1;

    case 2:
    zobraz(hwnd,screen,mazel_x,mazel_y,1006);
    faze+=1;
    return 1;

    case 3:
    zobraz(hwnd,screen,mazel_x,mazel_y,1007);
    faze=0;
    }
    return 1;
        }							// end doprava

else							//doleva
    {
    switch (faze)
        {
    case 0:
    zobraz(hwnd,screen,mazel_x,mazel_y,1008);
    faze+=1;
    return 1;

    case 1:
    zobraz(hwnd,screen,mazel_x,mazel_y,1009);
    faze+=1;
    return 1;

    case 2:
    zobraz(hwnd,screen,mazel_x,mazel_y,1010);
    faze+=1;
    return 1;

    case 3:
    zobraz(hwnd,screen,mazel_x,mazel_y,1011);
    faze=0;
        }
    return 1;
    }
}


